Summary:	DocBook 4.1 SGML - DTD for technical documentation
Summary(pl.UTF-8):	DocBook 4.1 SGML - DTD przeznaczone do pisania dokumentacji technicznej
%define ver	4.1
%define sver	41
Name:		docbook-dtd%{sver}-sgml
Version:	1.0
Release:	17%{?tld}
Vendor:		OASIS
License:	Free
Group:		Applications/Publishing/SGML
Source0:	http://www.oasis-open.org/docbook/sgml/%{ver}/docbk%{sver}.zip
# Source0-md5:	489f6ff2a2173eb1e14216c10533ede2
URL:		http://www.oasis-open.org/docbook/
BuildRequires:	unzip
Requires(post,postun):	sgml-common >= 0.5
Requires:	sgmlparser
Requires:	sgml-common >= 0.5
Provides:	docbook-dtd
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	docbook%{sver}-dtd
Obsoletes:	docbook-sgml-%{ver}

%description
DocBook 4.1 SGML - DTD for technical documentation.

%description -l pl.UTF-8
DocBook DTD jest zestawem definicji dokumentów przeznaczonych do
tworzenia dokumentacji programistycznej. Stosowany jest do pisania
podręczników systemowych, instrukcji technicznych jak i wielu innych
ciekawych rzeczy. Ten pakiet zawiera wersję DocBook 4.1 SGML.

%prep
%setup -q -c
chmod 644 *

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/sgml/docbook/sgml-dtd-%{ver}

install *.dtd *.mod *.dcl $RPM_BUILD_ROOT%{_datadir}/sgml/docbook/sgml-dtd-%{ver}/

# install catalog (but filter out ISO entities)
grep -v 'ISO ' docbook.cat > $RPM_BUILD_ROOT%{_datadir}/sgml/docbook/sgml-dtd-%{ver}/catalog

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- %{name} < 1.0-13
if ! grep -q /etc/sgml/sgml-docbook-%{ver}.cat /etc/sgml/catalog ; then
	/usr/bin/install-catalog --add /etc/sgml/sgml-docbook-%{ver}.cat /usr/share/sgml/docbook/sgml-dtd-%{ver}/catalog > /dev/null
fi

%post
if ! grep -q /etc/sgml/sgml-docbook-%{ver}.cat /etc/sgml/catalog ; then
	/usr/bin/install-catalog --add /etc/sgml/sgml-docbook-%{ver}.cat /usr/share/sgml/docbook/sgml-dtd-%{ver}/catalog > /dev/null
fi

%postun
if [ "$1" = "0" ] ; then
	/usr/bin/install-catalog --remove /etc/sgml/sgml-docbook-%{ver}.cat /usr/share/sgml/docbook/sgml-dtd-%{ver}/catalog > /dev/null
fi

%files
%defattr(644,root,root,755)
%doc *.txt ChangeLog
%{_datadir}/sgml/docbook/sgml-dtd-4.1
%changelog
* Tue Jan 09 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/docbook-dtd41-sgml.git;a=log;h=master

* Sat Jul 13 2013 Jakub Bogusz <qboosh@pld-linux.org> 4405aec
- mention DocBook version in descriptions

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f664cc1
- release 17

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 8c20725
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 70b7bf7
- converted to UTF-8

* Mon Apr 18 2005 Mariusz Mazur <mmazur@pld-linux.org> 3992ae6
- rel 16 for th

* Mon Apr 26 2004 Adam Gołębiowski <adamg@pld-linux.org> a204ec5
- release 15 for Ac (14 is for Ra)

* Mon May 26 2003 Michal Moskal <michal@moskal.me> 1aa78ef
- massive attack: adding Source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> dca0090
- massive attack s/pld.org.pl/pld-linux.org/

* Sat Sep 07 2002 Jakub Bogusz <qboosh@pld-linux.org> f764275
- simplified %%prep

* Wed Sep 04 2002 Artur Frysiak <artur@frysiak.net> aec33ee
- drop sgml-iso-ent-fix, release 14

* Tue Sep 03 2002 Artur Frysiak <artur@frysiak.net> 399ff5d
- release 13
- use sgml-iso-ent-fix
- fix %%post/%%postun scripts
- new %%doc

* Thu Apr 25 2002 arturs <arturs@pld-linux.org> 596aee4
- fixed a small typo

* Sat Feb 23 2002 kloczek <kloczek@pld-linux.org> 3a69f02
- adapterized.

* Fri Feb 22 2002 kloczek <kloczek@pld-linux.org> 94d3df4
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

* Fri Jan 18 2002 kloczek <kloczek@pld-linux.org> 67a200f
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

* Thu Mar 01 2001 kloczek <kloczek@pld-linux.org> 6c11e36
- release 12,
- fix: Requires for sgml-common changed to Prereq.

* Wed Feb 21 2001 kloczek <kloczek@pld-linux.org> 49f8234
- added unzip to added BuildRequires,
- release 11 (for allow upgrade from RH version).

* Thu Feb 15 2001 klakier <klakier@pld-linux.org> e13ab65
- cosmetics

* Thu Feb 15 2001 klakier <klakier@pld-linux.org> e1db804
- rel 1

* Mon Feb 12 2001 klakier <klakier@pld-linux.org> c2ba3fa
- new entry

